org.apache.solr.security

## Class DelegationTokenKerberosFilter

- java.lang.Object
- - org.apache.hadoop.security.authentication.server.AuthenticationFilter
  - - org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter
    - - org.apache.solr.security.DelegationTokenKerberosFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class DelegationTokenKerberosFilter
      extends org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

  This is an authentication filter based on Hadoop's `DelegationTokenAuthenticationFilter`. The Kerberos plugin can be configured to use delegation tokens, which allow an application to reuse the authentication of an end-user or another application.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DelegationTokenKerberosFilter.SolrZkToCuratorCredentialsACLs` Convert Solr Zk Credentials/ACLs to Curator versions

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

      `DELEGATION_TOKEN_SECRET_MANAGER_ATTR, PROXYUSER_PREFIX`

    - ### Fields inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

      `AUTH_TOKEN_VALIDITY, AUTH_TYPE, CONFIG_PREFIX, COOKIE_DOMAIN, COOKIE_PATH, SIGNATURE_SECRET, SIGNATURE_SECRET_FILE, SIGNER_SECRET_PROVIDER, SIGNER_SECRET_PROVIDER_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegationTokenKerberosFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain filterChain)`
    `protected org.apache.curator.framework.CuratorFramework` | `getCuratorClient(SolrZkClient zkClient)`
    `void` | `init(javax.servlet.FilterConfig conf)`
    `protected void` | `initializeAuthHandler(String authHandlerClassName, javax.servlet.FilterConfig filterConfig)`

    - ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter

      `doFilter, getConfiguration, getProxyuserConfiguration, setAuthHandlerClass, setHandlerAuthMethod`

    - ### Methods inherited from class org.apache.hadoop.security.authentication.server.AuthenticationFilter

      `constructSecretProvider, createAuthCookie, getAuthenticationHandler, getConfiguration, getCookieDomain, getCookiePath, getRequestURL, getToken, getValidity, initializeSecretProvider, isCustomSignerSecretProvider, isRandomSecret`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegationTokenKerberosFilter

          public DelegationTokenKerberosFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig conf)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Overrides:
        `init` in class `org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain filterChain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Overrides:
        `doFilter` in class `org.apache.hadoop.security.authentication.server.AuthenticationFilter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`
      Overrides:
        `destroy` in class `org.apache.hadoop.security.authentication.server.AuthenticationFilter`

    - #### initializeAuthHandler

          protected void initializeAuthHandler(String authHandlerClassName,
                                               javax.servlet.FilterConfig filterConfig)
                                        throws javax.servlet.ServletException

      Overrides:
        `initializeAuthHandler` in class `org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticationFilter`
      Throws:
        `javax.servlet.ServletException`

    - #### getCuratorClient

          protected org.apache.curator.framework.CuratorFramework getCuratorClient(SolrZkClient zkClient)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.